## cascading.flow
Class FlowSkipIfSinkExists

    java.lang.Object
      cascading.flow.FlowSkipIfSinkExists

All Implemented Interfaces:
  FlowSkipStrategy

    public class FlowSkipIfSinkExists

extends Object
implements FlowSkipStrategy

Class FlowSkipIfSinkExists is a `FlowSkipStrategy` implementation that returns `true` if the Flow sink exists, regardless if it is stale or not.

Constructor Summary
`FlowSkipIfSinkExists()`

Method Summary
`boolean` `skipFlow(Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowSkipIfSinkExists

    public FlowSkipIfSinkExists()

Method Detail

### skipFlow

    public boolean skipFlow(Flow flow)
                     throws IOException

  Specified by:
    `skipFlow` in interface `FlowSkipStrategy`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.